# Uses of Interface
org.eclipse.ui.contexts.IContextManager

Packages that use IContextManager
Package
Description
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.

## Uses of IContextManager in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts that return IContextManager
Modifier and Type
Method
Description
`IContextManager`
ContextManagerEvent.`getContextManager()`
Deprecated.
Returns the instance of the interface that changed.
`IContextManager`
IWorkbenchContextSupport.`getContextManager()`
Deprecated.
Returns the context manager for the workbench.
Constructors in org.eclipse.ui.contexts with parameters of type IContextManager
Modifier
Constructor
Description
``
`ContextManagerEvent(IContextManager contextManager, boolean definedContextIdsChanged, boolean enabledContextIdsChanged, Set previouslyDefinedContextIds, Set previouslyEnabledContextIds)`
Deprecated.
Creates a new instance of this class.